/*
 * references:
 * https://lastminuteengineers.com/esp8266-ntp-server-date-time-tutorial/
 * https://github.com/JChristensen/Timezone
 * 
 */

#include <NTPClient.h>
#include <ESP8266WiFi.h>
#include <WiFiUdp.h>
#include <Timezone.h>

#define LED 2

const char *ssid     = "Type here your router login name";
const char *password = "Type here your router password name";

WiFiUDP ntpUDP;
NTPClient timeClient(ntpUDP, "pool.ntp.org");

// Central European Time (Belgium)
TimeChangeRule CEST = {"CEST", Last, Sun, Mar, 2, 120};     // Central European Summer Time
TimeChangeRule CET = {"CET ", Last, Sun, Oct, 3, 60};       // Central European Standard Time
Timezone CE(CEST, CET);

void setup(){
  pinMode(LED, OUTPUT);
  Serial.begin(115200);
  WiFi.begin(ssid, password);

  while ( WiFi.status() != WL_CONNECTED ) {
    delay (500);
  }
  timeClient.begin();
  digitalWrite(LED, LOW);   // Turn the LED on (active LOW level)
}

void loop() {
  timeClient.update();
  setTime(CE.toLocal(timeClient.getEpochTime()));

  Serial.write(hour() | 0x40);
  Serial.write(minute() | 0x80);
  Serial.write(second() | 0xc0);

  delay(100);
}
